Skip to content

Get event markers within a date range

GET
/event-markers
curl --request GET \
--url 'https://api.ethos.network/api/v2/event-markers?endDate=example&startDate=example'
endDate
required
string
startDate
required
string

Successful response

Media typeapplication/json
Array<object>
object
id
required
number
date
required
string
description
required
string
endDate
required
string | null
header
required
string | null
linkLabel
required
string | null
linkUrl
required
string | null
tagText
required
string | null
tagUrl
required
string | null
createdAt
required
string
updatedAt
required
string

Example generated

[
{
"id": 1,
"date": "example",
"description": "example",
"endDate": "example",
"header": "example",
"linkLabel": "example",
"linkUrl": "example",
"tagText": "example",
"tagUrl": "example",
"createdAt": "example",
"updatedAt": "example"
}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}